> ## Documentation Index
> Fetch the complete documentation index at: https://docs.greetincs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Analyses

> List all analyses for the authenticated user with pagination (summary view).

Returns minimal data: id, name, is_public, sub_analysis_count, and status.



## OpenAPI

````yaml /openapi-web.json get /v1/analyses/
openapi: 3.1.0
info:
  title: GreetIncs API
  description: Analyze any business via API
  version: 0.1.0
servers: []
security: []
tags:
  - name: health
    x-displayName: Health
  - name: analyses
    x-displayName: Analyses
  - name: prompts
    x-displayName: Prompts
paths:
  /v1/analyses/:
    get:
      tags:
        - analyses
      summary: List Analyses
      description: >-
        List all analyses for the authenticated user with pagination (summary
        view).


        Returns minimal data: id, name, is_public, sub_analysis_count, and
        status.
      operationId: listAnalyses
      parameters:
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            description: Page number
            title: Page
          description: Page number
        - name: page_size
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100
                minimum: 1
              - type: 'null'
            description: Number of analyses per page
            title: Page Size
          description: Number of analyses per page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__api__v1__analyses__schemas__AnalysisPaginatedListResponse
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '403':
          $ref: '#/components/responses/Forbidden'
        '422':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    app__api__v1__analyses__schemas__AnalysisPaginatedListResponse:
      properties:
        response_type:
          type: string
          title: Response Type
          default: AnalysisPaginatedListResponse
        data:
          $ref: >-
            #/components/schemas/app__api__v1__analyses__schemas__AnalysisPaginatedListData
        links:
          $ref: '#/components/schemas/PaginationLinks'
      additionalProperties: false
      type: object
      required:
        - data
        - links
      title: AnalysisPaginatedListResponse
      description: Paginated list of analysis summaries.
    app__api__v1__analyses__schemas__AnalysisPaginatedListData:
      properties:
        data:
          items:
            $ref: >-
              #/components/schemas/app__api__v1__analyses__schemas__AnalysisListSummaryData
          type: array
          title: Data
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
          default: 1
        page_size:
          type: integer
          title: Page Size
          default: 50
      type: object
      required:
        - data
        - total
      title: AnalysisPaginatedListData
      description: Paginated list of analysis summaries data.
    PaginationLinks:
      properties:
        self:
          $ref: '#/components/schemas/Link'
        prev:
          anyOf:
            - $ref: '#/components/schemas/Link'
            - type: 'null'
        next:
          anyOf:
            - $ref: '#/components/schemas/Link'
            - type: 'null'
        total:
          type: integer
          title: Total
      type: object
      required:
        - self
        - total
      title: PaginationLinks
    app__api__v1__analyses__schemas__AnalysisListSummaryData:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        is_public:
          type: boolean
          title: Is Public
        last_run_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Run At
        sub_analysis_count:
          type: integer
          title: Sub Analysis Count
        status:
          $ref: '#/components/schemas/app__api__v1__analyses__schemas__AnalysisStatus'
        prompt_ids:
          items:
            type: string
          type: array
          title: Prompt Ids
      type: object
      required:
        - id
        - name
        - is_public
        - sub_analysis_count
        - status
        - prompt_ids
      title: AnalysisListSummaryData
      description: Minimal analysis data for list endpoint.
    Link:
      properties:
        href:
          type: string
          title: Href
          description: The URL of the linked resource
        rel:
          type: string
          title: Rel
          description: The relationship type (e.g., 'self', 'next')
        method:
          type: string
          title: Method
          description: The HTTP method (e.g., 'GET', 'POST')
          default: GET
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: Optional human-readable title
      type: object
      required:
        - href
        - rel
      title: Link
    app__api__v1__analyses__schemas__AnalysisStatus:
      properties:
        overall:
          type: string
          title: Overall
        percentage:
          type: integer
          title: Percentage
      type: object
      required:
        - overall
        - percentage
      title: AnalysisStatus
      description: 'Basic analysis status: overall state + percentage.'
  responses:
    BadRequest:
      description: Request Validation Error
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for validation errors.
                properties:
                  title:
                    default: Request Validation Error
                    title: Title
                    type: string
                  status:
                    default: 422
                    title: Status
                    type: integer
                  detail:
                    default: Request validation failed
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: ValidationError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    Unauthorized:
      description: Unauthorized
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for authentication errors.
                properties:
                  title:
                    default: Unauthorized
                    title: Title
                    type: string
                  status:
                    default: 401
                    title: Status
                    type: integer
                  detail:
                    default: Authentication required
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: UnauthorizedError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    PaymentRequired:
      description: Payment Required
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for payment required errors.
                properties:
                  title:
                    default: Payment Required
                    title: Title
                    type: string
                  status:
                    default: 402
                    title: Status
                    type: integer
                  detail:
                    default: Payment required
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: PaymentRequiredError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    Forbidden:
      description: Forbidden
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for authorization errors.
                properties:
                  title:
                    default: Forbidden
                    title: Title
                    type: string
                  status:
                    default: 403
                    title: Status
                    type: integer
                  detail:
                    default: Access forbidden
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: ForbiddenError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    InternalServerError:
      description: Internal Server Error
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for internal server errors.
                properties:
                  title:
                    default: Internal Server Error
                    title: Title
                    type: string
                  status:
                    default: 500
                    title: Status
                    type: integer
                  detail:
                    default: Internal server error
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: InternalServerError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API Key for external integrations (format: greetincs_...)'

````